Package bookworm: Information

Source package: bookworm
Version: 1.1.2-alt4
Build time:  May 25, 2021, 09:40 PM
Category: Office
Report package bug
License: GPLv3
Summary: Simple, focused eBook reader
Description: 
Read the books you love without having to worry about the different
format complexities like epub, pdf, mobi, cbr, etc. This version
supports EPUB, MOBI, FB2, PDF, FB2 and Comics (CBR and CBZ) formats
with support for more formats to follow soon.

List of rpms provided by this srpm:
bookworm (mipsel)
bookworm-debuginfo (mipsel)

Maintainer: Evgeniy Kukhtinov

List of contributors:
Evgeniy Kukhtinov

    1. meson
    2. libappstream-glib
    3. libgranite-devel
    4. libgranite-vala
    5. appstream-devel
    6. libpoppler-glib-devel
    7. libvala-devel
    8. rpm-build-python3
    9. libgee0.8-devel
    10. desktop-file-utils
    11. vala
    12. libsqlite3-devel
    13. libwebkit2gtk-devel
    14. libxml2-devel

Last changed


May 5, 2021 Evgeniy Kukhtinov 1.1.2-alt4
- Fix bytecompillation of python files
	+ Remove upstream *.pyc files from source
	+ Fix python files permissions to 644
	+ Fix python files build
- Clean-up spec
April 10, 2021 Evgeniy Kukhtinov 1.1.2-alt3
- Fix mismatch of python shebangs and code
  Make python code for mobi format really work
- Move to python3
  + pick recent upstream code
  + pick patch from PR to upstream: https://github.com/babluboy/bookworm/pull/346
- Bytecompile python stuff to ensure correct syntax and to avoid runtime JIT compilation

Thanks to bircoph@ in ALT#39613
March 7, 2021 Evgeniy Kukhtinov 1.1.2-alt2
- change description and make com.github.babluboy.bookworm symlink